> ## Documentation Index
> Fetch the complete documentation index at: https://developer.siit.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Articles

> Fetch knowledge_articles

## Introduction

Notes:

1. archived Articles are **NOT** returned by default.

## Usage


## OpenAPI

````yaml get /v1/articles
openapi: 3.0.1
info:
  title: Siit Public API
  version: v0
servers:
  - url: https://api.siit.io
security: []
paths:
  /v1/articles:
    get:
      tags:
        - Article
      summary: List all Articles
      description: Fetch knowledge_articles
      parameters:
        - $ref: '#/components/parameters/expand_param'
        - name: page
          in: query
          required: false
          description: The current page
          schema:
            type: integer
        - name: per_page
          in: query
          required: false
          description: Number of results retrieved per page.
          schema:
            type: integer
        - name: author_uid_in[]
          in: query
          schema:
            type: array
            items:
              type: string
          required: false
          style: form
          explode: true
          description: Filter by Author.
        - name: category_uid_in[]
          in: query
          schema:
            type: array
            items:
              type: string
          required: false
          style: form
          explode: true
          description: Filter by Categories.
        - name: published_eq
          in: query
          schema:
            type: boolean
          required: false
          description: Whether the response should only include draft or published Articles
        - name: include_archived
          in: query
          schema:
            type: boolean
            default: false
          required: false
          description: Whether the response should include archived Articles.
        - name: created_after
          in: query
          schema:
            type: string
            format: date-time
          required: false
          description: Filter Articles created after a DateTime (ISO 8601).
        - name: created_before
          in: query
          schema:
            type: string
            format: date-time
          required: false
          description: Filter Articles created before a DateTime (ISO 8601).
        - name: updated_after
          in: query
          schema:
            type: string
            format: date-time
          required: false
          description: Filter Articles updated after a DateTime (ISO 8601).
        - name: updated_before
          in: query
          schema:
            type: string
            format: date-time
          required: false
          description: Filter Articles updated before a DateTime (ISO 8601).
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/articles_paged_object'
        '401':
          description: Unauthorized
      security:
        - bearer: []
components:
  parameters:
    expand_param:
      name: expand[]
      in: query
      schema:
        type: array
        items:
          type: string
      description: >-
        Fields to expand into full objects. Example:
        ?expand[]=assignee_admin&expand[]=tags
      required: false
  schemas:
    articles_paged_object:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/meta_object'
        results:
          type: array
          items:
            $ref: '#/components/schemas/article'
    meta_object:
      type: object
      properties:
        count:
          type: integer
        current_page:
          type: integer
        next_page_link:
          type: string
          nullable: true
        per_page:
          type: integer
          default: 20
          maximum: 200
        previous_page_link:
          type: string
          nullable: true
        total:
          type: integer
    article:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Equipment
        archived_at:
          type: string
          nullable: true
          format: date-time
          readOnly: true
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
        author:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
          description: >-
            The user who created the article. Pass `?expand[]=field_name` for
            full object.
          nullable: true
          readOnly: true
        author_uid:
          type: string
          description: >-
            DEPRECATED: Use `author` instead. UID of the User who created the
            article
          nullable: true
          readOnly: true
          deprecated: true
        body:
          type: string
          description: 'DEPRECATED: Use `body_markdown` instead.'
          deprecated: true
        body_markdown:
          type: string
          description: Content of the article, rendered as markdown
          nullable: true
          readOnly: true
        category:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/knowledge_category'
          description: >-
            The category of this article. Pass `?expand[]=field_name` for full
            object.
          nullable: false
        category_uid:
          type: string
          description: 'DEPRECATED: Use `category` instead.'
          nullable: false
          deprecated: true
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        external_url:
          type: string
          description: URL that the article redirects to
          nullable: true
        last_editor:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
          description: >-
            The user who last edited the article. Pass `?expand[]=field_name`
            for full object.
          nullable: true
          readOnly: true
        last_editor_uid:
          type: string
          description: >-
            DEPRECATED: Use `last_editor` instead. UID of the User who last
            edited the article
          nullable: true
          readOnly: true
          deprecated: true
        published:
          type: boolean
          description: Indicates if the Article is published
          readOnly: true
        source:
          type: string
          enum:
            - confluence
            - external
            - external_links
            - guru
            - notion
            - siit
            - slab
            - slack
          default: external
          nullable: false
          readOnly: true
        subtitle:
          type: string
          nullable: true
        title:
          type: string
          nullable: false
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
    user:
      type: object
      properties:
        birthday_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        city:
          type: string
          nullable: true
        contract_type:
          type: string
          nullable: true
          enum:
            - contract
            - expat
            - fulltime
            - intern
            - parttime
            - temporary
        country:
          type: string
          description: 'ISO3166 alpha-2 country code (e.g: "PT")'
          nullable: true
        employee_number:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        gender:
          type: string
          enum:
            - female
            - male
            - non_binary
            - other
            - prefer_not_to_disclose
          nullable: true
        hire_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        job_leave_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        job_start_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        job_title:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        last_working_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        preferred_language:
          type: string
          description: A language in IETF format (en-US, pt-PT, fr-FR...)
          nullable: true
        probation_end_date:
          type: string
          format: date
          description: date formatted as ISO 8601 (e.g. "2020-12-15")
          nullable: true
        work_phone:
          type: string
          nullable: true
        uid:
          type: string
          description: The UID of the User
          readOnly: true
        admin_permalink_url:
          type: string
          description: The link to the User in Siit admin dashboard
          readOnly: true
        archived_at:
          type: string
          nullable: true
          format: date-time
          readOnly: true
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        department:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/department'
          description: >-
            The department this user belongs to. Pass `?expand[]=field_name` for
            full object.
          nullable: true
        department_uid:
          type: string
          description: 'DEPRECATED: Use `department` instead. A Department UID'
          nullable: true
          deprecated: true
        emails:
          type: array
          description: An array of all the known emails for this User
          readOnly: true
          items:
            type: string
        full_name:
          type: string
          description: The full name of the User
          readOnly: true
          nullable: true
        legal_entity:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/legal_entity'
          description: >-
            The legal entity this user belongs to. Pass `?expand[]=field_name`
            for full object.
          nullable: true
        legal_entity_uid:
          type: string
          description: 'DEPRECATED: Use `legal_entity` instead. A Legal Entity UID'
          nullable: true
          deprecated: true
        microsoft_entra_ids:
          description: The Microsoft Entra IDs (Azure Directory) associated with that User
          type: array
          readOnly: true
          items:
            type: string
        microsoft_entra_group_ids:
          description: >-
            The Microsoft Entra Group IDs (Azure Directory) associated to that
            User
          type: array
          readOnly: true
          items:
            type: string
        office_location:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/office_location'
          description: >-
            The office location of this user. Pass `?expand[]=field_name` for
            full object.
          nullable: true
        office_location_uid:
          type: string
          description: 'DEPRECATED: Use `office_location` instead. An Office Location UID'
          nullable: true
          deprecated: true
        report_to:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/user'
          description: >-
            The manager of this user. Pass `?expand[]=field_name` for full
            object.
          nullable: true
        report_to_uid:
          type: string
          description: >-
            DEPRECATED: Use `report_to` instead. The UID of the manager of this
            user
          nullable: true
          deprecated: true
        role_name:
          type: string
          description: The role of the User
          readOnly: true
          enum:
            - owner
            - admin
            - it
            - hr
            - ops
            - finance
            - custom
            - user
        slack_user_id:
          type: string
          description: The Slack user ID of the User (e.g. U0G9QF9C6)
          readOnly: true
          nullable: true
        status:
          type: string
          description: The status of the User
          readOnly: true
          enum:
            - alumni
            - employee
            - external
            - hired
          default: employee
        team_uids:
          type: array
          description: 'DEPRECATED: Use `teams` instead. An array of Team UIDs'
          items:
            type: string
          deprecated: true
        teams:
          anyOf:
            - type: array
              items:
                type: string
            - type: array
              items:
                $ref: '#/components/schemas/team'
          description: >-
            Teams this user belongs to. Pass `?expand[]=field_name` for full
            objects.
          nullable: true
        timezone:
          type: string
          description: ''
          readOnly: true
          nullable: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
    knowledge_category:
      type: object
      readOnly: true
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Article Category
        name:
          type: string
          description: The name of the Article Category
        parent:
          oneOf:
            - type: string
              description: UID when not expanded
            - $ref: '#/components/schemas/knowledge_category'
          description: >-
            The parent Article Category (null for top-level categories). Pass
            `?expand[]=field_name` for full object.
          nullable: true
          readOnly: true
    department:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Department
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Department name
    legal_entity:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Legal Entity
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Legal Entity name
    office_location:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Office Location
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Office Location name
    team:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Team
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Team name
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````